scipy (1.16.3-4build1) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 12:17:47 +0100

scipy (1.16.3-4) unstable; urgency=medium

  * hppa: skip test_QRVS_shape_consistency
    [3-d_out2-None-size_out0-qrng2-NumericalInversePolynomial]
  * hurd-i386: skip test_rvs_and_ppf[laplace-args22]
  * sparc64: reinstate skips on failing special (complex) tests
    (stats tests are fixed or skipped in PR24262). Upstream #22577.

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jan 2026 19:19:47 +0100

scipy (1.16.3-3) unstable; urgency=medium

  * debian patch test_sparc64_skip_complex_PR24262.patch applies
    upstream PR#24262 to skip tests (stats, special) failing with
    complex numbers on sparc64. Reenable tests skipped in debian/rules.
  * hppa: skip test_QRVS_shape_consistency
    [3-d_out2-size_in3-size_out3-None-NumericalInversePolynomial]
  * hurd-i386: skip test_describe from TestCompareWithStats
    (test_mstats_basic). MemoryError.
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Jan 2026 13:20:04 +1100

scipy (1.16.3-2) unstable; urgency=medium

  * hppa: skip test_logm (linalg test_batch.py)
  * hurd-i386: skip test_zscore (test_mstats_basic.py)
  * update test tolerances to allow i386 to pass tests with python 3.14
    - update manage_tests.patch: signal TestCheby1.test_basic
    - add test_student_t_tolerance_PR24047.patch applying upstream
      PR#24047 for stats TestStudentT.test_moments_t
    - Closes: #1121965

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Dec 2025 19:36:21 +0100

scipy (1.16.3-1) unstable; urgency=medium

  * New upstream release
    - applies fix_stats_bivariate_normal_cdf_PR23815.patch
  * hppa: skip all test_accuracy in TestTanhSinh (integrate module)
  * hurd-i386: skip test_tmax (test_mstats_basic.py)

 -- Drew Parsons <dparsons@debian.org>  Fri, 31 Oct 2025 20:06:04 +0100

scipy (1.16.2-5) unstable; urgency=medium

  * mips64el: skip test_nan_inputs[sph_harm]
  * hppa: skip all TestCubatureProblems
  * hurd-i386: skip test_tmean (test_mstats_basic.py)

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Oct 2025 21:57:53 +0100

scipy (1.16.2-4) unstable; urgency=medium

  * debian patch fix_stats_bivariate_normal_cdf_PR23815.patch fixes
    bivariate normal cdfs in stats. Needed by iminuit. Closes: #1109954
  * hppa: skip test_QRVS_shape_consistency
    [3-d_out2-size_in3-size_out3-qrng2-NumericalInversePolynomial]
  * hurd-i386: skip test_rankdata in test_mstats_basic.py (MemoryError)
  * debian/tests i386 with blis: skip test_sylvester test_cython
    test_sy_he_tri test_gbcon test_gh23278

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Oct 2025 01:21:53 +0100

scipy (1.16.2-3) unstable; urgency=medium

  * hurd-i386: skip test_exact_basic (MemoryError)
  * hppa: skip test_QRVS_shape_consistency
    [3-d_out2-1-size_out1-None-NumericalInversePolynomial]
  * debian/tests i386: skip test_two_generic_matrix_inputs with blis

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Oct 2025 19:15:46 +0200

scipy (1.16.2-2) unstable; urgency=medium

  * update build-time test skips
    - debian/rules hurd-i386: test_kurtosis (MemoryError)
    - hppa: test_scalar_output in TestCubatureProblems
  * debian/tests i386 with blis: skip test_eigh (linalg test_batch.py)

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Oct 2025 10:19:39 +0200

scipy (1.16.2-1exp2) experimental; urgency=medium

  * mips64el: skip test_nan_inputs[airye]
  * hppa: skip test_accuracy[numpy-case28]

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Oct 2025 16:17:35 +0200

scipy (1.16.2-1exp1) experimental; urgency=medium

  * New upstream release
  * i386: skip test_matmat (linalg batch test) with BLIS
  * hppa: add another case to test_QRVS_shape_consistency skips
  * hurd-i386: skip TestBoxcox and selected slower tests (iterative hop
    crash evolution marginals vector) to reduce test burden
    and avoid MemoryError
  * Build-Depends: python3-numpy-dev (for dh_numpy3)

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Oct 2025 17:31:07 +0200

scipy (1.16.0-1exp7) experimental; urgency=medium

  * update debian patch test_nan_policy_array_22360.patch to skip test
    on any unexpected exception (the previous patch failed on
    FloatingPointError rather than RuntimeWarning).
    Include all_nans-propagate-ttest_ci in skip tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Jun 2025 14:37:41 +0200

scipy (1.16.0-1exp6) experimental; urgency=medium

  * hppa: skip another test_QRVS_shape_cons [-NumericalInversePolynomial]
  * replace debian patch test_nan_policy_array_22360.patch with patch
    testing for misbehaviour with nans in np.mean in selected cases
    for test_axis_nan_policy_axis_is_None, skipping if RuntimeWarning
    is emitted. Drop mips64el axis_nan_policy skips in debian tests.
    See https://github.com/scipy/scipy/issues/22360

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Jun 2025 11:20:13 +0200

scipy (1.16.0-1exp5) experimental; urgency=medium

  * update test skips
    - mips64el:  weightedtau variants of test_axis_nan_policy_axis_is_None
      (upstream Issue#22360)
    - hppa powerpc: test_elementwise_multiply in TestCSC and TestBSR sparse
    - sparc64: expm1 log1p xlog1py and xlogy variants in test_cython_api
      (upstream Issue#22577)
    - hurd-i386: stats TestGoodnessOfFit (fails, exceeds Memory)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jun 2025 21:50:47 +0200

scipy (1.16.0-1exp4) experimental; urgency=medium

  * include path to newly built scipy module when extracting
    version details before build-time tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jun 2025 14:38:07 +0200

scipy (1.16.0-1exp3) experimental; urgency=medium

  * read SciPy/NumPy/Python version and system information
    for build-time tests (needed if we must report a bug upstream)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jun 2025 12:01:33 +0200

scipy (1.16.0-1exp2) experimental; urgency=medium

  * debian/rules: when handling subprojects in submodules, allow for
    builds with (.dsc) and without (git) empty dirs in subprojects,
    since git removes empty dirs

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jun 2025 13:06:47 +0200

scipy (1.16.0-1exp1) experimental; urgency=medium

  * New upstream major release
    - obsoletes debian patch special_libsf_error_SOABI.patch
      (libsf_error_state removed, upstream PR#22419)
  * update debian/copyright
    - update xsf entries
      - moved from scipy/special to submodules/subprojects/xsf
      - xsf includes faddeeva.h
      - xsf/cephes includes dd_real.h (Name: qd)
      - xsf adds kokkos/mdspan.hpp (2022 NTESS Apache-2.0)
    - boost_math moved from ../scipy/_lib to submodules/subprojects
    - qhull source moved from scipy/spatial/qhull_src/
      to subprojects/qhull_r/libqhull_r/
    - add scipy/spatial/src/distance_impl.h and distance_wrap.c
      Copyright: 2007, 2008, Damian Eads, BSD-3-clause
    - add scipy/_lib/pyprima,2020-2025, Zaikun ZHANG, BSD-3-clause
      PRIMA is a modern reimplementation of Powell's methods (COBYLA)
      If you use PRIMA, please cite DOI:10.5281/zenodo.8052654
    - list submodules in alphabetical order
  * debian/rules: link git submodules to their rightful places in
    subprojects (not all subprojects are git submodules)
  * Build scipy (spatial) against system qhull library.
    Build-Depends: libqhull-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Jun 2025 23:12:34 +0200

scipy (1.15.3-1) unstable; urgency=medium

  * New upstream bug-fix release
    - applies debian patches ndimage_pytest_safety_PR22828.patch
      and ndimage_segfault_filter_mirror_PR22608.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 May 2025 11:41:19 +0200

scipy (1.15.2-8) unstable; urgency=medium

  * debian patch ndimage_pytest_safety_PR22828.patch applies upstream
    PR#22828 to make ndimage safer to use with pytest
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 14 Apr 2025 23:05:55 +0200

scipy (1.15.2-7) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Mar 2025 17:40:11 +0100

scipy (1.15.2-6) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency
  * i386 with blis: skip test_size_0 not solve_continuous_lyapunov

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Mar 2025 14:27:06 +0100

scipy (1.15.2-5) unstable; urgency=medium

  * debian/tests: skip test_splu on i386 with blis

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Mar 2025 11:40:32 +0100

scipy (1.15.2-4) unstable; urgency=medium

  * debian/tests: skip solve_continuous_lyapunov on i386 with blis
  * alpha: skip test_eval_chebyt_gh20129, test_rvs_gh18372

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Mar 2025 18:23:36 +0100

scipy (1.15.2-3) unstable; urgency=medium

  * debian/tests: skip test_trcon on i386 with blis
  * alpha: skip test_hyp0f1 in special test_basic (segfaults)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Mar 2025 16:32:21 +0100

scipy (1.15.2-2) unstable; urgency=medium

  * skip failing tests
    - powerpc/hppa: some TestCSCNonCanonical tests
    - hppa: selected landau tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 12:47:12 +0100

scipy (1.15.2-1exp7) experimental; urgency=medium

  * fix powerpc/hppa test skips

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 12:20:53 +0100

scipy (1.15.2-1exp6) experimental; urgency=medium

  * debian patch ndimage_segfault_filter_mirror_PR22608.patch applies
    upstream PR#22608 to fix a segfault in ndimage filtering in mirror
    mode. Needed for datalab to pass tests (#1098652). Closes: #1098652
  * skip failing tests
    - hurd: test_backend_plan (also requires threading)
    - powerpc: test_simple_det_shapes_real_complex,
      all test_dot in TestMikotaPair,
      various sparse matrix tests
    - apply all powerpc skips related to complex, 64-bit and sparse
      to hppa

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 10:51:12 +0100

scipy (1.15.2-1exp5) experimental; urgency=medium

  * fix powerpc int64 test skips
  * hurd: skip tests affected by incompatible threading module
  * skip failing tests
    - hppa: another test_QRVS_shape_consistency[*NumericalInversePolynomial]
    - hurd-i386: test_ignore_shape_range, test_QRVS_size_tuple

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Mar 2025 12:32:01 +0100

scipy (1.15.2-1exp4) experimental; urgency=medium

  * fix ppc64 test skips
  * skip more tests
    - mips64el: skip test_nan_array and more cases of
      test_axis_nan_policy_axis_is_None (upstream Issue#22360)
    - hppa: test_QRVS_shape_consistency[...NumericalInversePolynomial]
    - hurd-i386: test_setting_loc_scale
    - powerpc: skip tests involving 64-bit (or 128-bit) numbers
    - sparc64: skip special test_extending.py::test_cython

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 21:55:15 +0100

scipy (1.15.2-1exp3) experimental; urgency=medium

  * python3-scipy Recommends: python3-yaml.
    The stdout mode will give more readable output if `pyyaml`
    (yaml) is installed.
    - debian/tests Depends: python3-yaml
      (avoid test error due to pyyaml warning in stderr)
  * skip failing tests
    - riscv64 hppa sparc64: skip test_nan_inputs[sph_harm]
    - hurd-i386: test_domain_argus_large_chi
    - powerpc, ppc64: test_hyp0f1, test_eval_chebyt_gh20129endif
    - sparc64: cython (complex) and stats (nan) failing
      see https://github.com/scipy/scipy/issues/22577

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 11:21:46 +0100

scipy (1.15.2-1exp2) experimental; urgency=medium

  * debian/rules: drop special handling of libhighs.a, which is no
    longer installed by upstream (PR#22357)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 23:35:33 +0100

scipy (1.15.2-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch spline_GCVSPL_enddian_PR22345.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 21:41:46 +0100

scipy (1.15.1-1exp3) experimental; urgency=medium

  * extend test_nan_policy_array_22360.patch to all permutations of
    asanyarray() vs asarray(), np from numpy or scipy,
    axis=None, 0 or default (which should be None).

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Jan 2025 12:51:00 +0100

scipy (1.15.1-1exp2) experimental; urgency=medium

  * debian/tests/python3: report system info and versions
    as required for upstream bug reports
  * report test durations (slowest 20) for build-time tests to
    identify slow tests (especially for hppa)
  * debian patch spline_GCVSPL_enddian_PR22345.patch applies upstream
    PR#22345 to prevent spline GCVSPL enddian failure
    (for s390x, powerpc, ppc64). See upstream issue #22361.
  * update manage_tests.patch to relax tolerance in special test
    TestHyp2f1.test_region3 case23 (for i386).
    See upstream Issue#22363.
  * debian patch test_nan_policy_array_22360.patch applies a test
    suggested upstream to help diagnose a problem with nan arrays
    in test_axis_nan_policy_axis_is_None[mixed-*-xp*] on mips64el.
    See upstream issue #22360.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2025 22:58:50 +0100

scipy (1.15.1-1exp1) experimental; urgency=medium

  * New upstream release
    - update versioned Build-Depends: python3-pybind11 (>= 2.13.2~)
    - Build-Depends-Indep: python3-sphinx-copybutton,
      python3-jupytext <!nodoc>
    - applies debian patch fix_scipydoc_directive_PR20976.patch
      and quadpack_C_PR21201.patch
    - deprecates debian patch scipy-ub-float-to-int.patch
      (see upstream PR#21553)
  * update debian/copyright to add new or moved submodules
    - scipy/_lib/array_api_compat
      Copyright: 2022 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/array_api_extra
      Copyright: 2024 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/cobyqa
      Copyright: 2021-2024, Tom M. Ragonneau and Zaikun Zhang
      License: BSD-3-Clause
    - scipy/_lib/pocketfft/*
      Copyright: 2010-2018 Max-Planck-Society
      License: BSD-3-Clause
    - subprojects/highs/*
      Copyright: 2024 HiGHS
      License: MIT
    - special/special moved to special/xsf
    - id_dist and lbfgsb_src replaced with new python and C code
    - scipy.misc is deprecated and mostly removed
  * update debian patch manage_docs.patch
    - skip intersphinx_registry (not packaged for debian) and use
      intersphinx links as defined in registry.json at
      https://github.com/Quansight-Labs/intersphinx_registry
    - add mpmath docs, Build-Depends-Indep: python-mpmath-doc <!nodoc>
    - don't treat doc warnings as errors, print them only (default)
  * debian patch manage_tests.py: relax tolerance for
    TestAAA.test_basic_functions np.exp(-100*x**2) in interpolate
    test_bary_rational.py to allow passing with generic netlib BLAS or
    ATLAS. See upstream issue #22355.
  * debian/rules: add symlinks to subprojects which are now included
    in submodules source package (currently contains highs)
  * scipy now uses a C implementation of L-BFGS-B, and the C calling is
    not easily compatible with the fortran liblbfgsb-dev package
    without further patching. Upstream liblbfgsb-dev has not been
    updated since 2011. Time to let scipy do its own thing with
    L-BFGS-B.
    - drop debian patch Use-system-LBFGSB.patch
    - drop Build-Depends: liblbfgsb-dev
    - renable L-BFGS (optimize.rosen) test in test_optimize.py.
      i.e. stop skipping it in debian patch manage_tests.patch
  * debian/rules: remove excess copies of the libhighs.a static
    library from version-specific python paths after dh_python3. It is
    probably a bug to install it anyway (upstream Issue#22349)

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Jan 2025 18:39:33 +0100

scipy (1.14.1-4) unstable; urgency=medium

  * skip special and stats complex number tests that fail with numpy 2
    on mips64el. See upstream Issue#21393. Closes: #1094477.

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Jan 2025 22:50:41 +1100

scipy (1.14.1-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Enable parallel building.

  [ Drew Parsons ]
  * hppa: skip test_QRVS_shape_consistency
    [1-d_out1-size_in4-size_out4-qrng1-NumericalInversePolynomial]
  * update debian patch manage_docs.patch to renable html_sidebars
    provided by python3-pydata-sphinx-theme

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Dec 2024 21:00:32 +0100

scipy (1.14.1-2) unstable; urgency=medium

  * add debian patches to manage multiple python versions
    - special_libsf_error_SOABI.patch builds libsf_error.so
      with the python platform compatibility tag ('SOABI') appended to
      the library name. libsf_error uses Python.h and is therefore not
      a pure standalone C library independent of python version.
      Removes need for dh_python3 --no-ext-rename.
    - scipy_config_SOABI.patch adds platform compatibility tag
      ('SOABI') to __config__.py, which provides meson build
      information about the scipy build
  * debian patch scipy-ub-float-to-int.patch fixes undefined behaviour
    (UB) handling in expm for riscv64. Thanks Aurelien Jarno.
    Closes: #1086108.
  * python3-scipy Recommends: python3-pooch. Used by the datasets
    submodule. Closes: #1086956.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 00:37:01 +0100

scipy (1.14.1-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch
      0013-MAINT-Unskip-scipy.misc.test.test_decorator-for-Pyth.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Nov 2024 15:09:56 +0100

scipy (1.14.0-1exp5) experimental; urgency=medium

  * mip64el: skip flakey TestExpmFrechet (linalg test_matfuncs.py)
  * hppa: skip more test_QRVS_shape_consistency

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Aug 2024 17:07:11 +0200

scipy (1.14.0-1exp4) experimental; urgency=medium

  * mips64el: skip failing variants of test_axis_nan_policy_axis_is_None
    (stats test_axis_nan_policy.py)
  * add hppa to the NEEDS_NUMPY2 list (skip test_cython)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Aug 2024 09:23:15 +0200

scipy (1.14.0-1exp3) experimental; urgency=medium

  * run dh_python3 with --no-ext-rename instead of manipulating
    libsf_error_state.so manually. mesonpy already instructs cython to
    build python extensions with arch labels, so don't need extension
    renaming from dh_python3. See Bug#1079496.
  * update test skips
    - mips64el: skip test_random_matrices_and_powers
    - x32: reenable TestKSTwoSamples.test_gh12218. The dot was not
      recognised (must be test_gh12218 alone), but the test is
      naturally skipped with scipy 1.14 anyway.
    - add alpha to the test_cython (Numpy 2) skip list

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2024 10:05:09 +0200

scipy (1.14.0-1exp2) experimental; urgency=medium

  * debian/rules: shift scipy/special/libsf_error_state.so to
    libsf_error_state while running dh_python3. It is a "normal"
    shared library not a python extension, but dh_python3 would rename
    it as if it were a python extension, causing runtime failure
    finding the library. dh_python3 -X does not exclude that (see
    Bug#1079496). Closes: #1078540.
  * mips64el powerpc ppc64: skip test_cython (special test_extending)
    Needs complex type changes from numpy 2 to pass.
    See https://github.com/scipy/scipy/issues/21393
  * skip more failing tests
    - mips64el: test_2x2_input (linalg test_matfuncs.py::TestExpM)
    - hppa: more test_QRVS_shape_consistency variants
    - x32: TestKSTwoSamples.test_gh12218 (gets MemoryError)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 02:16:41 +0200

scipy (1.14.0-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch test_singular_tol_PR20914.patch
    - special/cephes moved to special/special/cephes
  * debian patch fix_scipydoc_directive_PR20976.patch applies upstream
    PR#20976 to fix doc build (needs StringList not ViewList)
  * update debian patch manage_docs.patch
    (theme-switcher is not available)

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2024 00:42:15 +0200

scipy (1.13.1-6) unstable; urgency=medium

  * Team upload.
  * d/patches: update metadata.
  * Cherry-pick patch from upstream to fix the build with Python 3.13.
    Closes: #1081692

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Nov 2024 00:59:00 +0100

scipy (1.13.1-5) unstable; urgency=medium

  * skip more failing tests
    - mips64el: test_2x2_input test_nx2x2_input
      (from linalg test_matfuncs.py::TestExpM)
    - hppa: more test_QRVS_shape_consistency variants
    - x32: TestKSTwoSamples.test_gh12218 (gets MemoryError)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 10:24:03 +0200

scipy (1.13.1-4) unstable; urgency=medium

  * revert python3-scipy back to Multi-Arch: no.
    The arch is recorded inside some installed (plain text) files
    e.g. scipy-*.dist-info/WHEEL, scipy/__config__.py
    Closes: #1078977.
  * skip failing tests
    - alpha: test_read_over64bit_integer_sparse
    - hppa: test_svd_gesdd_nofegfault

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Aug 2024 01:07:47 +0200

scipy (1.13.1-3) unstable; urgency=medium

  * alpha: skip test_read_over64bit_integer_dense
  * hppa: skip next test_QRVS_shape_consistency (qrng2)
  * drop mipsel, ia64 test skips. Architectures no longer supported.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2024 18:19:53 +0200

scipy (1.13.1-2) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency test case
    (stats test_sampling.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2024 18:43:22 +0200

scipy (1.13.1-1exp15) experimental; urgency=medium

  * debian patch quadpack_C_PR21201.patch applies upstream PR#21201 to
    refactor quadpack in C instead of fortran. Closes: #1074318.

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jul 2024 15:31:31 +0200

scipy (1.13.1-1exp14) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_nan_inputs[airye] from special

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Jul 2024 00:22:38 +0200

scipy (1.13.1-1exp13) experimental; urgency=medium

  * riscv64 hppa sparc64: skip tests in signal test_cont2discrete.py
    and elsewhere:
    test_random_matrices_and_powers test_2x2_input test_nx2x2_input
    test_zoh test_foh test_transferfunction test_zerospolesgain
    test_discrete_approx test_simo_tf test_multioutput
    TestC2dLti TestC2dInvariants TestStep
    test_second_order test_integrator test_double_integrator
    test_jordan_block test_array_like test_operators test_expm

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Jul 2024 10:24:38 +0200

scipy (1.13.1-1exp12) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_multioutput (signal cont2discrete)

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Jul 2024 23:04:18 +0200

scipy (1.13.1-1exp11) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_simo_tf
    (signal test_cont2discrete.py)

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 00:07:28 +0200

scipy (1.13.1-1exp10) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_zerospolesgain test_discrete_approx
    (from signal test_cont2discrete.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jul 2024 18:42:09 +0200

scipy (1.13.1-1exp9) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_transferfunction

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Jul 2024 09:58:12 +0200

scipy (1.13.1-1exp8) experimental; urgency=medium

  * make docs with HOME=/tmp (cf. matplotlib doc build) to avoid error:
    '/sbuild-nonexistent' is not a writable location
  * riscv64 hppa sparc64: skip test_foh

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jul 2024 11:07:05 +0200

scipy (1.13.1-1exp7) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_zoh (signal test)
  * use intersphinx to link docs
    - update debian patch manage_docs.patch
    - drop debian patch 0018-Drop-intersphinx.patch
    - Build-Depends-Indep: python-matplotlib-doc, python-numpy-doc,
      python-statsmodels-doc <!nodoc>
  * build docs using JUPYTER_PLATFORM_DIRS=1
    (for jupyter_cache used by myst_nb)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Jun 2024 11:05:59 +0200

scipy (1.13.1-1exp6) experimental; urgency=medium

  * skip TestExp (linalg test_matfuncs.py) on riscv64 hppa sparc64

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Jun 2024 17:11:04 +0200

scipy (1.13.1-1exp5) experimental; urgency=medium

  * add mips64el to the verbose test list
  * skip failing tests
    - riscv64 hppa sparc64: test_nx2x2_input
      (from linalg test_matfuncs.py TestExpM)
    - powerpc: test_svd_gesdd_nofegfault (linalg test_decomp.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 10:40:56 +0200

scipy (1.13.1-1exp4) experimental; urgency=medium

  * skip test_random_matrices_and_powers and test_2x2_input
    on riscv64 hppa sparc64

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jun 2024 22:58:37 +0200

scipy (1.13.1-1exp3) experimental; urgency=medium

  * add mips64el to the TestLogM skip list
  * riscv64 and sparc64 time out. Run verbose tests to see where they
    got stuck.
  * hppa: skip test_random_matrices_and_powers

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Jun 2024 22:59:54 +0200

scipy (1.13.1-1exp2) experimental; urgency=medium

  * i386: skip test_svd_gesdd_nofegfault (MemoryError)
  * skip linalg test_matfuncs.py::TestLogM on failing arches,
    riscv64 hppa sparc64
  * debian patch test_singular_tol_PR20914.patch applies upstream
    PR#20914 to relax tolerance enabling linalg test_singular to pass
    against generic (netlib) BLAS.

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Jun 2024 22:28:40 +0200

scipy (1.13.1-1exp1) experimental; urgency=medium

  * New upstream release
    - Build-Depends: python3-pybind11 (>= 2.12.0~)
    - debian/copyright: drop pocketfft_hdronly.h
  * drop deprecated debian patch docs_privacy.patch
  * Build-Depends-Indep: python3-myst-nb for doc build
    - stop skipping myst-nb in debian patch manage_docs.patch
  * update debian patch manage_docs.patch
    - skip the jupyterlite_sphinx extension (not yet available on
      Debian)
    - deactivate missing template resources "search-button-field",
      "version-switcher", "generate_toctree_html".
      They are not provided with the doc source hence build fails.

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jun 2024 19:13:55 +0200

scipy (1.12.0-2) unstable; urgency=medium

  * hppa: skip test_QRVS_shape_consistency[NumericalInversePolynomial]
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Jun 2024 18:05:55 +0200

scipy (1.12.0-1exp3) experimental; urgency=medium

  * skip tests with memory or other issues in 32-bit
    - powerpc: test_against_anderson_gumbel_r test_gh12218
    - armel: skip same stats tests as armhf
  * run build tests verbose (-v) on all 32-bit arches

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 10:17:16 +0200

scipy (1.12.0-1exp2) experimental; urgency=medium

  * on armhf, i386, hppa, powerpc, skip test_random_state
    test_against_anderson_gumbel_r test_bootstrap_against_R
    test_bootstrap_against_itself_1samp, etc
    to avoid memory failure and random crashes
  * use test verbose flag (-v) on armhf, powerpc
    to identify crashing tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 01:33:34 +0200

scipy (1.12.0-1exp1) experimental; urgency=medium

  * New upstream release
    - update versioned Build-Depends:
      cython3,
      python3-mesonpy (>= 0.15.0~),
      python3-doit (>= 0.36.0~),
      python3-numpy (>= 1:1.26.0~),
      python3-pythran (>= 0.15.0~)
    - Depends: python3-hypothesis for tests
  * remove redundant debian patch qhull-lfs.patch
    (would need to add to meson.build if still relevant)
  * link to all submodules in submodules/scipy/_lib
  * add Drew Parsons to uploaders

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 May 2024 14:41:42 +0200

scipy (1.11.4-10) unstable; urgency=medium

  * Team upload.
  * update debian/tests
    - test default python only on riscv64 to avoid timeout
    - drop atlas BLAS tests, since atlas is deprecated (Bug#1070013),
      times out on riscv64 and fails specific tests elsewhere
    - report durations of slowest 20 tests

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 May 2024 20:23:08 +0200

scipy (1.11.4-9) unstable; urgency=medium

  * Team upload.
  * debian/tests: fix handling of verbose flag (used for riscv64)

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 May 2024 18:49:39 +0200

scipy (1.11.4-8) unstable; urgency=medium

  * Team upload.
  * multi-Ellipsis indexing in sparse will be dropped in scipy 1.13
    see https://github.com/scipy/scipy/pull/18541
    It fails tests now so skip test_multiple_ellipsis_slicing
    and reinstate later for scipy 1.13. Closes: #1069377.

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 May 2024 18:41:16 +0200

scipy (1.11.4-7) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - hppa: test_onenormest_linear_operator
      test_against_anderson_gumbel_r
      test_gh12218 test_bootstrap_against_R
      bootstrap_against_itself_1samp[basic-1780]
      test_bootstrap_against_itself_1samp[percentile-1784]
      test_bootstrap_against_itself_1samp[BCa-1784]
    - hurd-i386: test_ttest_many_dims

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 May 2024 15:43:21 +0200

scipy (1.11.4-6) unstable; urgency=medium

  * Team upload.
  * debian/tests: set default (empty) value of VERBOSE_TESTS
  * hurd-i386: skip test_gh12218

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Feb 2024 13:24:19 +0100

scipy (1.11.4-5) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - hurd-i386: test_logpdf_pdf_consistency
    - ia64: test_examples[True-complex64] (test_propack)
    - sparc64: test_milp_timeout_16545
  * debian/tests: skip failing tests on i386
    - with atlas: test_propack
    - with blis: test_dtypes (in sparse/linalg test_lobpcg.py)
  * debian/tests: run riscv64 tests verbose (-v) to identify
    which tests are timing out, and skip test_maxiter_worsening[lgmres]
    to match debian/rules

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Feb 2024 17:20:19 +0100

scipy (1.11.4-4) unstable; urgency=medium

  * Team upload.
  * skip test_hermitian (scipy/linalg test_lobpcg) on i386
  * use EXTRA_TEST_FLAGS (-v) with hurd-i386, hppa and ia64 to
    identify which tests are failing

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Feb 2024 15:53:59 +0100

scipy (1.11.4-3) unstable; urgency=medium

  * Team upload.
  * skip test_gh12218 on armhf

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 10:20:50 +0100

scipy (1.11.4-2) unstable; urgency=medium

  * Team upload.
  * skip test_gh12218 on armel

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Feb 2024 09:49:20 +0100

scipy (1.11.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * skip tests. Closes: #1061605.
    - armel: test_some_code_paths (stats TestKSTwoSamples)
    - sparc64: test_distance_transform_cdt05 (ndimage)

 -- Drew Parsons <dparsons@debian.org>  Thu, 15 Feb 2024 14:19:46 +0100

scipy (1.11.1-1exp2) experimental; urgency=medium

  * Team upload.
  * update debian patch manage_tests.patch to use assert_allclose
    to compare floating point values in test_bootstrap_alternative in
    stats test_resampling.py. Needed on i386, see upstream Issue#20043.
  * skip failing tests
    - armel: test_sparse_dense_divide
    - i386: test_pdf_nolan_samples test_cdf_nolan_samples
    - mips64el: test_nanminmax
    - riscv64: test_milp_timeout_16545
    - s390x, hppa, powerpc, ppc64: test_distance_transform_cdt05
  * update Build-Depends: pkgconf rather than pkg-config

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Feb 2024 00:59:34 +0100

scipy (1.11.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - submodule _lib/boost renamed to _lib/boost_math
    - applies debian patch link_atomics_PR17777.patch
    - use -m pytest (build-time) and in-python scipy.tests() (runtime
      debian/tests) to run tests since runtests.py has been removed.
      Upstream now uses dev.py but it requires pydevtool, which is not
      yet packaged for debian (RFP Bug#1062827).
  * x32: skip test_continuing
  * report full tarball pathname in debian/get-submodules
    to ease file handling
  * drop deprecated debian patch docs_no_sphinx_design.patch
  * update versioned Build-Depends: python3-mesonpy (>= 0.12.1~),
      python3-numpy (>= 1:1.21.6~),
      python3-pybind11 (>= 2.10.4~),
      python3-pythran (>= 0.12.0~)
  * for docs, Build-Depends-Indep: python3-sphinx-design
    instead of python3-sphinx-panels,
  * debian patch cblas_in_blas.patch drops an explicit dependency on
    cblas (libcblas.so). On Debian the cblas symbols are built into
    libblas.so.
  * clean files generated by meson.build (see special/meson.build)
    Remove python3.* __config__.py, retain the one generated by the
    default python.
  * update debian patch manage_docs.patch to drop myst_nb
    (not yet packaged for debian)

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Feb 2024 13:03:07 +0100

scipy (1.10.1-10) unstable; urgency=medium

  * Team upload.
  * rewrite link_atomics_PR17777.patch to only test __atomic_add_fetch
    and drop __atomic_load_n. PR#17777 had actually already been
    applied, but gcc on armel does not define __atomic_load_n.
    see upstream issue #19982.

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jan 2024 14:08:13 +0100

scipy (1.10.1-9) unstable; urgency=medium

  * Team upload.
  * debian patch link_atomics_PR17777.patch applies upstream PR#17777
    to link to atomics symbols where required (armel).

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jan 2024 04:52:33 +0100

scipy (1.10.1-8) unstable; urgency=medium

  * Team upload.
  * reinstate Build-Depends: python3-pythran
  * drop python3-scipy Depends: python3-pythran
    pythran is used at build time, not needed at runtime.
    Closes: #1020561.

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Jan 2024 19:07:55 +0100

scipy (1.10.1-7) unstable; urgency=medium

  * Team upload
  * Build-Depends on cython3-legacy instead of cython3
    (Closes: #1056888)
  * Drop dependencies on RC buggy python3-pythran

 -- Graham Inggs <ginggs@debian.org>  Sat, 06 Jan 2024 14:54:22 +0000

scipy (1.10.1-6) unstable; urgency=medium

  * Team upload
  * Allow building with Python 3.12

 -- Graham Inggs <ginggs@debian.org>  Tue, 05 Dec 2023 13:22:12 +0000

scipy (1.10.1-5) unstable; urgency=medium

  * Team upload.
  * x32: skip test_reset (in test_qmc.py)
  * skip ellint_rg_xy0_ipp-ellint_rg_xy0 on i386 also in runtime tests
    (debci from debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Oct 2023 11:24:17 +0200

scipy (1.10.1-4) unstable; urgency=medium

  * Team upload.
  * x32: skip test_svd_random_state_2
  * i386, hurd-i386, x32: skip ellint_rg_xy0_ipp-ellint_rg_xy0, i.e.
    test_boost[<Data for elliprg: ellint_rg_xy0_ipp-ellint_rg_xy0>]
    at build-time on i386-related arches

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Oct 2023 15:26:15 +0200

scipy (1.10.1-3) unstable; urgency=medium

  * Team upload.
  * x32: skip test_continuing
  * drop pythran upper version in Build-Depends.
    Apparently pythran 0.14 fixed some things, cf. upstream issues
    scipy#19150, pythran#2139, scipy PR#19191. Furthermore, the upper
    bound is only added upstream to release branches, it is not used in
    the main development branch. That is, the upper bound is only
    provided for pypi (pip) stability, it is not a strict requirement.
    Closes: #1053527.
  * remove doc/source/fontlist*.json before dh_clean. Closes: #1046493.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Oct 2023 13:20:03 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-scipy`.
